// All measurements are in centimeters.

module CarBody() {
	intersection () {
		scale([2.1, 3.4, 0.8]) sphere(r = 50);
		sphere(r = 150);
	}
}

module CarTop() { scale([1.3, 2.1, 0.8]) sphere(r = 50); }

module Aileron() { scale([1.25, 2.1, 0.2]) sphere(r = 50); }

module WheelHousing() {
		//scale([0.3, 1.3, 0.8]) sphere(r = 50);
		rotate([0, 90, 0]) hull() {
			scale([0.8, 1.3, 1])
				cylinder(h = 10, r = 50, center = true);
			scale([0.5, 0.8, 1])
				cylinder(h = 30, r = 50, center = true);
		}
}

module TailLights() {
	translate([-30, 0, 0]) scale([2, 1, 1]) sphere(r = 10);
	translate([30, 0, 0]) scale([2, 1, 1]) sphere(r = 10);
}

module HeadLights() {
	translate([-30, 0, 0])
		scale([2, 1, 1]) rotate([-90, 0, 0])
			cylinder(h = 150, r = 7);
	translate([30, 0, 0])
		scale([2, 1, 1]) rotate([-90, 0, 0])
			cylinder(h = 150, r = 7);
}

module AirCar(color1 = [1, 0.5, 0.8], color2 = "dimgray") {
	union () {
		color(color1) CarBody();
		difference() {
			translate([0, 0, 30]) rotate([-10, 0, 0]) union() {
				color(color2, alpha = 0.8) CarTop();
				color(color1) translate([0, -10, 0]) Aileron();
			}
			color(color1) translate([0, 0, 30]) difference() {
				rotate([0, 90, 0])
					cylinder(h = 260, r = 30, center = true);
				rotate([0, 90, 0])
					cylinder(h = 260, r = 29, center = true);
			}
		}
		color(color1) {
			translate([80, 80, 0]) WheelHousing();
			translate([-80, 80, 0]) WheelHousing();
			translate([80, -80, 0]) WheelHousing();
			translate([-80, -80, 0]) WheelHousing();
		}

		color(color2, alpha = 0.8)
			translate([0, -140, 0]) TailLights();
		color(color2, alpha = 0.8) HeadLights();
	}
}

AirCar();
