// All measurements are in centimeters.

module HoverBody() {
	difference() {
		hull() {
			scale([3, 5, 1]) cylinder(h = 50, r = 50, center = true);
			scale([2, 4, 1]) cylinder(h = 80, r = 50, center = true);
		}
		mirror([0, 0, 1])
			scale([1.9, 3.9, 1])
				cylinder(h = 50, r = 50);
	}
}

module HoverCockpit() {
	hull() {
		cube([100, 200, 1], true);
		translate([0, -15, 0]) cube([150, 85, 1], true);
		translate([0, -30, 30]) cube([60, 60, 40], true);
	}
}

module HoverTurbine() {
	rotate([90, 0, 0]) union() {
		difference() {
			hull() {
				cylinder(h = 100, r = 30, center = true);
				cylinder(h = 150, r = 20, center = true);
			}
			cylinder(h = 150, r = 15);
		}
		cylinder(h = 150, r = 10, center = true);
	}
}

module Hovercraft() {
	color("dimgray") HoverBody();
	color("deepskyblue") translate([0, 40, 40]) HoverCockpit();
	color("silver") {
		translate([0, -150, 40]) cube([80, 50, 50], true);
		translate([-40, -150, 85]) HoverTurbine();
		translate([40, -150, 85]) HoverTurbine();
		translate([-85, -40, 20])
			rotate([20, 0, 0])
				scale([0.1, 1, 1])
					cylinder(h = 120, r1 = 40, r2 = 15);
		translate([85, -40, 20])
			rotate([20, 0, 0])
				scale([0.1, 1, 1])
					cylinder(h = 120, r1 = 40, r2 = 15);
	}
}

Hovercraft();

